const int redPin = 6;
const int greenPin = 7;
const int buttonPin = 5;
int currState, flashCounter;

void setup() {
  pinMode(greenPin, OUTPUT);
  pinMode(redPin, OUTPUT);
  pinMode(buttonPin, INPUT_PULLUP);

  currState = 0;
  flashCounter = 0;

  Serial.begin(9600);
  while(!Serial);
}


void loop() {

  // phase 0: standard led settings
  if(currState == 0)
  {
    digitalWrite(redPin, HIGH);
    digitalWrite(greenPin, LOW);
  }

  int buttonState = digitalRead(buttonPin);
  if(buttonState == LOW && currState == 0)
  {
    currState = 1;
  }

  // phase 1
  if(currState == 1)
  {
    digitalWrite(greenPin,LOW);
    delay(500);
    digitalWrite(greenPin,HIGH);
    delay(500);

    flashCounter++;
    if(flashCounter>=5)
      currState = 2;
  }    

  // phase 2
  if(currState == 2)
  {
    digitalWrite(greenPin, HIGH);
    digitalWrite(redPin, LOW);
    delay(4000);

    digitalWrite(greenPin, LOW);
    digitalWrite(redPin, HIGH);

    currState = 0;
    flashCounter = 0;
  }
  

}
